defmodule HereIAm.Devices.Device do
  use Ecto.Schema
  import Ecto.Changeset

  schema "devices" do
    field :ip_address, :string
    field :audio, :string

    timestamps(type: :utc_datetime)
  end

  @doc false
  def changeset(device, attrs) do
    device
    |> cast(attrs, [:ip_address, :audio])
    |> validate_required([:ip_address, :audio])
  end
end
